import { getDefaultExportFromCjs as u } from "../../_virtual/_commonjsHelpers.mjs";
import { __module as f } from "../../_virtual/index2.mjs";
/*!
	Copyright (c) 2018 Jed Watson.
	Licensed under the MIT License (MIT), see
	http://jedwatson.github.io/classnames
*/
(function(r) {
  (function() {
    var l = {}.hasOwnProperty;
    function s() {
      for (var o = [], e = 0; e < arguments.length; e++) {
        var t = arguments[e];
        if (t) {
          var n = typeof t;
          if (n === "string" || n === "number")
            o.push(t);
          else if (Array.isArray(t)) {
            if (t.length) {
              var a = s.apply(null, t);
              a && o.push(a);
            }
          } else if (n === "object") {
            if (t.toString !== Object.prototype.toString && !t.toString.toString().includes("[native code]")) {
              o.push(t.toString());
              continue;
            }
            for (var i in t)
              l.call(t, i) && t[i] && o.push(i);
          }
        }
      }
      return o.join(" ");
    }
    r.exports ? (s.default = s, r.exports = s) : window.classNames = s;
  })();
})(f);
var c = f.exports;
const v = /* @__PURE__ */ u(c);
export {
  v as default
};
